Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
Interface ScaffoldRequestHandler

All Known Implementing Classes:
  DefaultScaffoldRequestHandler

    public interface ScaffoldRequestHandler

An interface defining methods to handle CRUD operations involved in scaffolding

Since:
  30 Nov 2005
Author:
  Graeme Rocher

Method Summary
`ScaffoldDomain` | `getScaffoldDomain()`
`Map` | `handleCreate(HttpServletRequest request, HttpServletResponse reponse, ScaffoldCallback callback)` Handles a create request
`Map` | `handleDelete(HttpServletRequest request, HttpServletResponse reponse, ScaffoldCallback callback)` Handles a request to delete a scaffolded instance
`Map` | `handleFind(HttpServletRequest request, HttpServletResponse reponse)` Handles a request to find a scaffolded instance
`Map` | `handleList(HttpServletRequest request, HttpServletResponse reponse)` Handles a request to list all scaffolded instances
`Map` | `handleSave(HttpServletRequest request, HttpServletResponse reponse, ScaffoldCallback callback)` Handles a request to save a scaffolded instance
`Map` | `handleShow(HttpServletRequest request, HttpServletResponse reponse, ScaffoldCallback callback)` Handles a request to show a scaffolded instance
`Map` | `handleUpdate(HttpServletRequest request, HttpServletResponse reponse, ScaffoldCallback callback)` Handles a request to update a scaffolded instance
`void` | `setScaffoldDomain(ScaffoldDomain domain)` Sets the domain to use during scaffolding.

Method Detail

### setScaffoldDomain

    void setScaffoldDomain(ScaffoldDomain domain)

  Sets the domain to use during scaffolding. A scaffold domain provides methods to manipulate the scaffolded persistent class

  Parameters:
    `domain` -

### getScaffoldDomain

    ScaffoldDomain getScaffoldDomain()

  Returns:
    The domain being scaffolded

### handleList

    Map handleList(HttpServletRequest request,
                   HttpServletResponse reponse)

  Handles a request to list all scaffolded instances

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

### handleShow

    Map handleShow(HttpServletRequest request,
                   HttpServletResponse reponse,
                   ScaffoldCallback callback)

  Handles a request to show a scaffolded instance

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

### handleDelete

    Map handleDelete(HttpServletRequest request,
                     HttpServletResponse reponse,
                     ScaffoldCallback callback)

  Handles a request to delete a scaffolded instance

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

### handleCreate

    Map handleCreate(HttpServletRequest request,
                     HttpServletResponse reponse,
                     ScaffoldCallback callback)

  Handles a create request

  Parameters:
    `request` -
    `reponse` -
    `callback` -
  Returns:
    Optionally a map which reperesents the generated model

### handleSave

    Map handleSave(HttpServletRequest request,
                   HttpServletResponse reponse,
                   ScaffoldCallback callback)

  Handles a request to save a scaffolded instance

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

### handleUpdate

    Map handleUpdate(HttpServletRequest request,
                     HttpServletResponse reponse,
                     ScaffoldCallback callback)

  Handles a request to update a scaffolded instance

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

### handleFind

    Map handleFind(HttpServletRequest request,
                   HttpServletResponse reponse)

  Handles a request to find a scaffolded instance

  Parameters:
    `request` -
    `reponse` -
  Returns:
    Optionally a map which represents the generated model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project